> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metriport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Message

> Send a message to another practitioner

<Snippet file="in-construction.mdx" />

This endpoint sends a secure message containing a note and attached documents to another practitioner in the network regarding a specific patient's clinical journey.

Sending a message is an asynchronous process. The response returns a Communication resource immediately with the status being `in-progress`.
The `id` can be used to [Get Message Status](/medical-api/api-reference/message/get-message-status). When the recipient acknowledges receipt, or if delivery fails, a [webhook](/medical-api/handling-data/webhooks-with-nq#message-status) request will be sent to [your configured URL](/medical-api/api-reference/settings/post-settings):

* `message.status`: can be one of `completed` or `failed`, depending on the outcome of the operation.

<Tip>
  See the [Message Delivery
  guide](/medical-api/getting-started/message-delivery) for
  the explanation of the full flow.
</Tip>

## Query Params

<ParamField query="patientId" type="string" required>
  The ID of the Patient the message relates to.
</ParamField>

## Body

<Snippet file="message-send-body.mdx" />

## Response

<ResponseField name="communication" type="Communication" required>
  The resulting FHIR
  [Communication](/medical-api/fhir/resources/communication)
  resource.
</ResponseField>

```json theme={null}
{
  "communication": {
    "resourceType": "Communication",
    "id": "00000000-0000-0000-0000-000000000000",
    "status": "in-progress",
    "subject": {
      "reference": "Patient/00000000-0000-0000-0000-000000000000"
    },
    "topic": {
      "text": "Referral - cardiology"
    },
    "sender": {
      "display": "Your Organization Name"
    },
    "recipient": [
      {
        "type": "Organization",
        "display": "intake@cardio.direct.partner.com"
      },
      {
        "type": "Practitioner",
        "display": "1234567893"
      }
    ],
    "sent": "2026-06-16T18:40:00.000Z",
    "payload": [
      {
        "contentReference": {
          "reference": "DocumentReference/00000000-0000-0000-0000-000000000000"
        }
      }
    ],
    "extension": [
      {
        "url": "https://public.metriport.com/fhir/StructureDefinition/data-source.json",
        "valueCoding": {
          "system": "https://public.metriport.com/fhir/StructureDefinition/data-source.json",
          "code": "METRIPORT"
        }
      }
    ]
  }
}
```

<ResponseExample>
  ```javascript Metriport SDK theme={null}
  import { MetriportMedicalApi } from "@metriport/api-sdk";

  const metriport = new MetriportMedicalApi("YOUR_API_KEY");

  const status = await metriport.sendMessage({
    patientId: "11111111-1111-1111-1111-111111111111",
    destination: "intake@cardio.direct.partner.com",
    subject: "Referral - cardiology",
    body: "Please review the attached referral for cardiology consultation.",
    attachments: ["00000000-0000-0000-0000-000000000000"],
    intendedRecipientNpi: ["1234567890"],
  });
  ```
</ResponseExample>

## Rate Limits

See [limits and throttling](/medical-api/more-info/limits#rate-limits)
